- Home
- API Enriched
- Marketplace
- namespaces
- Register New AWS Account.
Register New AWS Account.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/aws/f5xc-saas/register';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"x_amzn_marketplace_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/aws/f5xc-saas/register \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "x_amzn_marketplace_token": "example" }'Use this API to register F5XC AWS marketplace product for F5XC service.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to register F5XC AWS marketplace product for F5XC service.
object
AWS customer’s registration token.
Examplegenerated
{ "x_amzn_marketplace_token": "example"}Responses
Section titled “Responses”A successful response.
Response to register F5XC AWS marketplace product.
object
Registration redirect URL for redirecting the AWS customer to login/registration page.
Examplegenerated
{ "redirect_url": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example